--- /dev/null
+#!/bin/sh
+
+# The dir containing vserver configuration
+VSERVERS_CONF=/etc/vservers
+
+cd $VSERVERS_CONF
+for NAME in *; do
+ if [ ! -d $NAME ]; then
+ continue;
+ fi
+ if ! sudo vserver $NAME status &> /dev/null; then
+ continue;
+ fi
+
+ echo "Hashifying vserver $NAME..."
+ sudo vserver $NAME hashify
+done
+
+# Change to /tmp, to minimize the chance for an error to damage the root fs
+cd /tmp
+echo "Cleaning up unused hashed files..."
+for HASH_DIR in $VSERVERS_CONF/.defaults/apps/vunify/hash/*; do
+ if [ -L $HASH_DIR ]; then
+ # All symbolic links
+ sudo find -H $HASH_DIR -type f -links 1 -print0 | sudo xargs -0 rm
+ fi
+done